	< Installation Manual >
		Go Playing Game System "GOG" (Parallel Version)

This manual describes installation of the parallel version of "GOG".

Environment

  Machine	   : Multi-PSI
  Operating System : PIMOS, SIMPOS
  Language	   : KL1, ESP
  Source Code	   : 1.5 MB

Explanation of Symbols
  SYSTEM MENU : Call the system menu of SIMPOS
  [ xxx ]     : Choose item "xxx"

Installation
(1) Installation of I/O modules

 1. Login to "superuser"
	user     > superuser <CR>
	password > superuser <CR>

 2. Register a new user of the name "cgs"
  (1) Select items the following sequence.
	SYSTEM MENU --> [others] --> [user] --> [maintenance] --> [register]
  (2) Define the size of the window using the mouse, and the window will 
      be displayed.
  (3) Register a user of the name "cgs".
	Register
	Username : cgs <CR>
	Password : cgs <CR>
	Rank     : general <CR>
	User cgs registered

 3. Register a new package of the name "cgs" 
  (1) Select a librarian.
    	SYSTEM MENU  --> [librarian]
  (2) Define the size of the window using the mouse.

  (3) Register the package of the name "cgs".
	[Package] --> [Define package]
	 Package Name>cgs <CR> --> [yes]
	 Environment Name>cgs_env <CR> --> [yes]

  (4) Set the environment for package
	[Package] -->  [Define environment]
	 Environment name>cgs_env <CR>
	 ELEMENTS:[ ] will be displayed, and the menu will be changed --> [add]
	 Elements>[simpos]<CR> --> [exit]

  (5) Save the package and the environment
	[Package] -->  [Other command] --> [Save package]
	 Package Name>cgs <CR>

	[Package] --> [Other command] --> [Save environment]
	 Environment Name>cgs_env <CR>

 4. Logout from "superuser"
	SYSTEM MENU ---> [logout] ---> [yes]

 5. Login to "cgs"
	user     > cgs <CR>
	password > cgs <CR>

 6. Copy program source files
    Copy program source files to the directory ">sys>user>cgs".

 7. Compile program source files
  (1) Select the librarian.
    	SYSTEM MENU  --> [librarian]
  (2) Define the size of the window using the mouse.

  (3) Set default package.
	[Package] --> [Set default package]
	 Package Name>cgs <CR>

  (4) Compile source files.
	 [Execute]
         Command>fxd("allcmp.com"). <CR>

  (5) Save object to execute.
	[Save] --> [do it]

 8. Initialize "GOG"
  (1) Select debugger
	SYSTEM MENU  --> [debugger]
  (2) Define the size of the window using the mouse.
	:init_start(#cgs_main). <CR>
      The GOG menu will be displayed in the upper left corner of the display.
  (3) Select the item on the bottom left of the menu.

 9. Logout from "cgs"
	SYSTEM MENU $B"*(B [logout]$B"*(B [yes]

(2) Installation of thinking module

 1. Login to your user account on SIMPOS.
	user     > ???? <CR>
	password > ???? <CR>

 2. Start up Multi-PSI and then login to your user account in PIMOS.

 3. Compile and save the file

    Type the following command into the listener.
    ?- take("make.com"). <CR>
